import Vue from 'vue';
import App from './App';
import router from './router';
import store from './store';
import { axios } from './service/api/index';
import ElementUI from 'element-ui';
import 'babel-polyfill';
// import vueGicHeader from '@gic-test/vue-gic-header'
// import vueGicFooter from '@gic-test/vue-gic-footer'
// 单个图片预览插件
// import vueGicImgPreview from '@gic-test/vue-gic-img-preview'
// import vueGicStoreLinkage from '@gic-test/vue-gic-store-linkage/src/lib';
// import vueGicAsideMenu from '@/components/aside-menu'
// 图片墙上传插件
// import vueGicUploadImage from '@gic-test/vue-gic-upload-image/src/lib'
import VueClipboard from 'vue-clipboard2';
// import vueGicExportExcel from '@gic-test/vue-gic-export-excel'
Vue.config.productionTip = false;
Vue.use(ElementUI);
// Vue.use(vueGicHeader)
// Vue.use(vueGicFooter)
// Vue.use(vueGicAsideMenu)
// Vue.use(vueGicStoreLinkage);
// Vue.use(vueGicImgPreview)
// Vue.use(vueGicUploadImage)
Vue.use(VueClipboard);
// Vue.use(vueGicExportExcel)
Vue.prototype.axios = axios;
Vue.prototype.axios.withCredentials = true;
/* eslint-disable */
window.$bus = new Vue();
let flag = false;
Vue.prototype.$tips = function({ message = '提示', type = 'success' }) {
  if (flag) {
    return;
  } else {
    this.$message({ message, type });
  }
  flag = true;
  setTimeout(_ => {
    flag = false;
  }, 1000);
};
/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
});
